Create Extractor Version

This endpoint allows you to publish a new version of an existing extractor. Publishing a new version creates a snapshot of the extractor's current configuration and makes it available for use in workflows. Publishing a new version does not automatically update existing workflows using this extractor. You may need to manually update workflows to use the new version if desired.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

extractorIdstringRequired

The ID of the extractor.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Request

This endpoint expects an object.
releaseTypeenumRequired
The type of release for this version. The two options are "major" and "minor", which will increment the version number accordingly.
Allowed values:
descriptionstringOptional
A description of the changes in this version. This helps track the evolution of the processor over time.
configobjectOptional
The configuration for this version of the extractor.

Response

Successfully published extractor version
objectenum

The type of object. Will always be "extractor_version".

Allowed values:
idstring

The unique identifier for this version of the extractor.

Example: "exv_xK9mLPqRtN3vS8wF5hB2cQ"

descriptionstring or null

A description of this version of the extractor.

Example: "Updated extraction fields for new invoice format"

versionstring

The version number or identifier for this specific version of the extractor. The draft version will have version=“draft”.

Examples: "1.0", "2.1", "draft"

configobject
The configuration settings for this version of the extractor. This is a union of two possible shapes: - **[JSON Schema config](https://docs.extend.ai/2026-02-09/product/extraction/schema):** The current config format. All extractors created through this API version use this shape. - **[Legacy config](https://docs.extend.ai/2025-04-21/product/extraction/schema-legacy):** A fields-array config from a previous API version. This shape is only returned for extractors that were originally configured with the legacy format. This API version does not support creating extractors with legacy configs.
extractorIdstring

The ID of the extractor that this version belongs to.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors